Index: main/rtp.c
===================================================================
--- main/rtp.c	(revision 90351)
+++ main/rtp.c	(working copy)
@@ -2958,7 +2958,22 @@
 
 	ms = calc_txstamp(rtp, &f->delivery);
 	/* Default prediction */
-	if (f->subclass & AST_FORMAT_AUDIO_MASK) {
+	if(f->subclass & AST_FORMAT_VIDEO_MASK) {
+		mark = f->subclass & 0x1;
+		pred = rtp->lastovidtimestamp + f->samples;
+		/* Re-calculate last TS */
+		rtp->lastts = rtp->lastts + ms * 90;
+		/* If it's close to our prediction, go for it */
+		if (ast_tvzero(f->delivery)) {
+			if (abs(rtp->lastts - pred) < 7200) {
+				rtp->lastts = pred;
+				rtp->lastovidtimestamp += f->samples;
+			} else {
+				ast_debug(3, "Difference is %d, ms is %d (%d), pred/ts/samples %d/%d/%d\n", abs(rtp->lastts - pred), ms, ms * 90, rtp->lastts, pred, f->samples);
+				rtp->lastovidtimestamp = rtp->lastts;
+			}
+		}
+	} else if (f->subclass & AST_FORMAT_AUDIO_MASK) {
 		pred = rtp->lastts + f->samples;
 
 		/* Re-calculate last TS */
@@ -2973,21 +2988,6 @@
 				mark = 1;
 			}
 		}
-	} else if(f->subclass & AST_FORMAT_VIDEO_MASK) {
-		mark = f->subclass & 0x1;
-		pred = rtp->lastovidtimestamp + f->samples;
-		/* Re-calculate last TS */
-		rtp->lastts = rtp->lastts + ms * 90;
-		/* If it's close to our prediction, go for it */
-		if (ast_tvzero(f->delivery)) {
-			if (abs(rtp->lastts - pred) < 7200) {
-				rtp->lastts = pred;
-				rtp->lastovidtimestamp += f->samples;
-			} else {
-				ast_debug(3, "Difference is %d, ms is %d (%d), pred/ts/samples %d/%d/%d\n", abs(rtp->lastts - pred), ms, ms * 90, rtp->lastts, pred, f->samples);
-				rtp->lastovidtimestamp = rtp->lastts;
-			}
-		}
 	} else {
 		pred = rtp->lastotexttimestamp + f->samples;
 		/* Re-calculate last TS */
